<?php

namespace XFI\Import\Importer;

class vBulletin4WithBlog extends vBulletin4
{
	use vBulletinBlogTrait, vBulletin4BlogTrait
	{
		vBulletin4BlogTrait::getSteps insteadof vBulletinBlogTrait;
		vBulletin4BlogTrait::getBlogTags insteadof vBulletinBlogTrait;

		// override the legacy blog attachments system,
		// but allow the original methods to be accessed
		vBulletin4BlogTrait::getStepEndBlogAttachments insteadof vBulletinBlogTrait;
		vBulletinBlogTrait::getStepEndBlogAttachments as getStepEndBlogAttachmentsVb3;
		vBulletin4BlogTrait::stepBlogAttachments insteadof vBulletinBlogTrait;
		vBulletinBlogTrait::stepBlogAttachments as stepBlogAttachmentsVb3;
	}

	public static function getListInfo()
	{
		return [
			'target' => 'XenForo',
			'source' => 'vBulletin 4.x with vBulletin Blog'
		];
	}
}